Difference between revisions of "Talk:Preloader"

From WiiBrew
Jump to: navigation, search
(Preloader Paralysis: new section)
m
 
(9 intermediate revisions by 8 users not shown)
Line 116: Line 116:
 
== Updating Preloader (0.27-0.29) ==
 
== Updating Preloader (0.27-0.29) ==
 
Since the from-console online update is broken/unavailable to 0.29, is the best way to just launch the .dol install out of HBC/TH SD card again or are there changes I should make in the configuration first?
 
Since the from-console online update is broken/unavailable to 0.29, is the best way to just launch the .dol install out of HBC/TH SD card again or are there changes I should make in the configuration first?
 +
 +
Is it true that version 0.29 bricks your Wii? [[User:Keyboard mouse|Keyboard mouse]] 15:36, 16 May 2010 (UTC)
 +
:no its not true. it was a april fool joke. and it only looked like it was bricked while it wasn't  --[[User:DacoTaco|DacoTaco]] 05:00, 17 May 2010 (UTC)
  
 
== hacks page ==
 
== hacks page ==
Line 320: Line 323:
 
I added it since its the last official compiled download, so yeah, its important to have.
 
I added it since its the last official compiled download, so yeah, its important to have.
  
== Preloader Paralysis ==
+
== How Do I install this? ==
 +
 
 +
how do I run the preloader.dol thing from HBC? <small>—Preceding unsigned comment added by [[User:Boondox|Boondox]] ([[User talk:Boondox|talk]] • [[Special:Contributions/Boondox|contribs]]) 00:15, 26 July 2010 (CET)</small>
 +
 
 +
== 4.2/3 MAJOR HELP ==
 +
 
 +
HOW DO I INSTALL THIS ON 4.2 AND 4.3 (IF ITS POSSIBLE) I NEED MAJOR HELP <small>—Preceding unsigned comment added by [[User:Brute83301|Brute83301]] ([[User talk:Brute83301|talk]] • [[Special:Contributions/Brute83301|contribs]]) 21:57, 12 August 2010 (CET)</small>
 +
 
 +
== Won't appear ==
  
I am struggling with a bricked Wii and trying to use Preloader and BootMii to reverse the damage. However, the Preloader refuses to boot HBC and in the process of figuring out how to get past this issue I came across a guide that suggested (among other steps) to reset the Wii by holding down the reset button as well as the sync button. The first time this worked without any problems, but the second time it un-synced the Wii Remotes. Now I am paralyzed at the Preloader screen. Is there no other way to get around this issue except to buy a GC controller?
+
Hi, When I put preloaderv0.29.dol in apps, it doesn't appear on HBC. What am I doing wrong? <small>—Preceding unsigned comment added by [[User:Evilarceus|Evilarceus]] ([[User talk:Evilarceus|talk]] • [[Special:Contributions/Evilarceus|contribs]]) 23:13, 6 December 2011 (CET)</small>
  
It'd be nice if the Preloader boot settings were set to System Menu, but unfortunately while trying to figure this mess out I left the boot settings at Disabled which was the initial default. Is it possible to change the Preloader config settings manually and then reinstall/reload it so that it first loads the System Menu screen?
+
:Oh, and I have Wii v4.3 <small>—Preceding unsigned comment added by [[User:Evilarceus|Evilarceus]] ([[User talk:Evilarceus|talk]] • [[Special:Contributions/Evilarceus|contribs]]) 23:14, 6 December 2011 (CET)</small>
  
Thank you!
+
:ok here's your problems. you put the dol in a separate file in the apps directory kinda like ms0:\apps\preloader\ and rename it boot.dol 2nd issue is you are using wii 4.3 preloader 4.3 isn't compatible with 4.3 last i checked. finally when you post here make sure you signature your posts, just throwing up comments on here w/o doing so isn't the most wise of ideas. --[[User:Trigger ftu|Trigger ftu]] 10:49, 11 December 2011 (CET)

Latest revision as of 20:51, 31 December 2011

This vs, Starfall

I'm assuming the "hacks.ini" part is similar to the Starfall type hacks. How dangerous is this program compared to Starfall? I've used starfall (3.2U) and it works great, but I'm afraid of the "brick risk" with this program. Also, it sounds like it has similar BootMii capabilities. (sorry i ask a lot of questions, thanks in advance to whoever answers) =) Jdcx95 01:08, 12 January 2009 (UTC)

Uninstallation

Is it possible to easily uninstall this? Because I've read in a few places that it impossible easily to uninstall, and the only way to uninstall it is by using a new SysMenu WAD. --Murkantor 07:28, 12 January 2009 (UTC)

Maybe AnyTitle Deleter? Jdcx95 20:42, 12 January 2009 (UTC)
Well I don't think you can uninstall it, but basically if you just set the preloader to disable and delete the hacks.ini on your sd. It would be just the same as uninstalled. —Preceding unsigned comment added by Crwys (talkcontribs) 20:46, 12 January 2009
It's ok, I managed to uninstall it. I ripped the 3.2E SysMenu and used a WAD installer to reinstall. And to my research, AnyTitle Deleter would brick the Wii. Since Preloader just renames the SysMenu and puts it's own .DOL in it's place, the Wii wouldn't find a .DOL on Boot, so it won't boot. But this app is a good idea (Just like BootMii...), the only thing it lacks is an easy uninstallation. —Preceding unsigned comment added by Murkantor (talkcontribs) 07:40, 13 January 2009


What about using AnyRegion Changer and downgrade to 3.2.. --WiiCracker 18:17, 14 January 2009 (UTC)

I think theres now an uninstaller on the main page of this article. Jdcx95 21:22, 14 January 2009 (UTC)
I couldn't get AnyRegion Changer to work, and I couldn't find the "Remover" either... --Murkantor 16:49, 15 January 2009 (UTC)
If you have an attachment to the Wiimote when rebooting or loading system menu the screen hangs where code is displayed. Unplug the attachment and resetting fixes the problem. —Preceding unsigned comment added by IronMask (talkcontribs) 19:32, 19 January 2009

Does the install of a system menu update work as an uninstall also? Pinball wizard 02:00, 17 February 2009 (UTC)

as removes files left in share2? those not removed by reinstalling the menu Thank you very much for the application —Preceding unsigned comment added by Lord Kratos (talkcontribs) 18:47, 11 March 2009

Should starfall be removed before installing this ?

I'm thinking of installing this, but I have one small question. Do I need to uninstall / turn off hacks in Starfall in order to install it safely ? Or can I just leave Starfall 'on' and run Preloader.
Ps.
Great work ! —Preceding unsigned comment added by WalkerOfTheDay (talkcontribs) 12:27, 10 February 2009

Update: just installed it yesterday on top of starfall, without turning of any Starfall hacks.
And it worked like a charm ! —Preceding unsigned comment added by WalkerOfTheDay (talkcontribs) 07:52, 17 February 2009

doubts

i'm loving starfall which i believe is the best homebrew thing out there but this also looks very very good, is there any risk in installing this with the menu patched by starfall? please someone who knows if there are issues or if someone has just installed it with starfall on, please tell me! thanks everyone! --balta 22:12, 11 February 2009 (UTC)

i think i got that with preloader i can do everything and more that i'm doing with starfall, is there somewhere something like a tut? or something else for n00bs like me?--balta 22:52, 11 February 2009 (UTC)
moreover, is it possible to have this installed but dis activated (just as i can have starfall and patches turned off) so the system menu is booting normally? thanks again for the info, i'm very concerned in installing patches-mods in my wii, thanks--balta 22:12, 11 February 2009 (UTC)
finally: how can i get the preloader0.28? please please please help me!--balta 22:52, 11 February 2009 (UTC)
Yes you can install it with starfall on ! I just tried it yesterday ! —Preceding unsigned comment added by WalkerOfTheDay (talkcontribs) 08:05, 17 February 2009

Where do installed apps go?

I know its a small point, but I'm the sort of person who doesn't like having unused apps wasting space. If you could let us know where on the filesystem it's installed we could just go and delete it. Maybe a delete app option on a future version would be nice too. —Preceding unsigned comment added by Robotmenace (talkcontribs) 19:37, 19 February 2009

Bug in preloader 0.28

Whenever the Wii turns into standby and there's a disc in the slot, the drive spins the disc. --IcyVeins 09:05, 22 February 2009 (UTC)

Will be fixed in the next version and there might be a beta version with that fixed before 0.29. Crediar 01:13, 23 February 2009 (UTC)

I also have the same bug as IcyVeins, but also if I power down from either the Preloader or the HBC it will go to standby (orange) but will not turn on unless you hold down the power button to turn off to the red light. I have a PAL system running 3.2E JP 11:52, 7 March 2009 (UTC)

I have the same problem as above with .29 on a 4.0E wii TwoBladedKnight 06:59, 1 May 2009 (UTC)

What's the safest way to install preloader?

Does it matter if I install this through the TP Hack, or through HBC? Or is there another safer way? Also, if this just renames and replaces main.dol, couldn't someone write a tool to rename this and bring back the old main.dol?--Wilsoff 23:32, 22 February 2009 (UTC)

All methods bare the same risk, yes someone could write such a tool but it's much safer to reinstall the System Menu. Crediar 01:13, 23 February 2009 (UTC)

Eject DVD bug 0.28 [?]

I've got preloader 0.28 installed and when my wii is turned off and I press the eject button, instead of spitting out the game, it just powers on the wii and loads the file I told him to load (CahMans's Wii Home) but doesn't eject anything. I don't know if it's a preloader or a wiihome bug, if it is actually a bug...--balta 12:23, 24 February 2009 (UTC)

How do I install This thing?

All I see is a DOL a NFO and a INI. What do I do? —Preceding unsigned comment added by Shadowtroop (talkcontribs) 12:08, 6 March 2009

run the dol from HBC or TP Hack.--Wilsoff 05:12, 10 March 2009 (UTC)

Basic settings

I hadn't realised how great this app was. At first I was annoyed by the preloader coming up everytime I booted my Wii, then I was frustrated that whenever I came out of a program that it went back to preloader. Then... I was annoyed with MYSELF for not realising how great Preloader is! Here are some basic settings that will keep all of the benefits of preloader and none of the downsides (my opinion). Bascially I suggest the following as as starting point for people who have just instaled this: > Autoboot - set to on, booting systemmenu > Return to - systemmenu > Health screen - change to back menu. Now Preloader is almost invisible, and if you need it you just turn off the wii, hold down reset and turn it back on again, voila, preloader menu! Now you won't even see the black health screen or have to press A to get to the channels screen. Great work from crediar - thank you!--Wilsoff 05:12, 10 March 2009 (UTC)

Hacks.ini question

Hi. I have created a NTSC-U 0.28 hacks.ini file with hacks.ini creator. There are several hacks created, but there is one that says "Remove diagnostic disc check". In Starfall, I remember that there was one that said "Remove diagnostic disc check", and one that said "Hold Y on GC Controller for rescue menu". In Preloader, do you still need to take apart your GC controller if you use this hack in order to access the rescue menu, or does this hack take care of both of those? If so, can someone provide me with a hacks.ini that has both of those options, so I can press Y to access the menu, and boot a disc that is not a recovery disk? Thanks. --Bdr9 16:39, 21 March 2009 (UTC)

Will This work If I Try To Install It in 4.0

i recently just used waninkokos new updater to make my wii 4.0 and still be able to use old features i would really like to know if this still works on 4.0 but im to afraid to try help? please —Preceding unsigned comment added by Deadlyangel91792 (talkcontribs) 16:40, 26 March 2009

Do NOT install this on 4.0 (after using Waninkoko's updater) It WILL BRICK YOUR WII!!! IT happened to me!!! Do NOT USE IT! I just get a "System data Corrupt" Message now on boot. I'm attempting to get it fixed. —Preceding unsigned comment added by Twil (talkcontribs) 22:10, 27 March 2009
Update: I fixed my wii. Here is what I did. - Twil

This worked ok for me. I has 3.2E, cISO rev9, cISOCORPS and preLoader 0.28. I just installed the IOS60 patch, then used Waninkoko's updated to get to 4.0. I then installed preLoader 0.29 with no issues. —Preceding unsigned comment added by Joe90 (talkcontribs) 07:23, 1 April 2009

okay, i have 4.0E once i downgraded from 3.4E to 3.2E. I can't install this app on my wii, says IOS36 is fakesigned ERROR. Starfall doesnt work on 4.0 so im stuck :| anyone knows how to solve this? (Waninkoko's 4.0) --Tusk 12:26, 6 April 2009 (UTC)

I have succesfully installed preloader v0.29 without problem after previously upgrading to 4.0 via waninokokos updater. Pembo 11:29, 10 May 2009 (UTC)

NOT A PROBLEM; JUST RAMBLING: My Wii is at 3.1U and preloader works fine. But after updating to 4.0, via a \/\/ /\ |> file, preloader will brick my Wii (and it's a bad brick too! [black screen with "system file is corrupt..."]). So do have a safety net and backup your NAND before hand like I did (AND THANK GOD! for BootMii). -TPAINROXX/BKW 04:57, 7 July 2009 (UTC)

Additional Hacks

What additional hacks can be added to the ini file?
I was looking for something that could let my copy protected save files without having to load GeckoOS every time. Also, does it autoboot to the system menu unless the reset button is held, or does it load a selection menu on startup automatically? I would like the prior. —Preceding unsigned comment added by Seandgibbonsy (talkcontribs) 23:06, 26 March 2009

Preloader/hacks Djdynamite123 15:27, 9th April 2009 (UTC)
Read Preloader#Hacks LoganA 21:50, 9 April 2009 (UTC)

How to rescue if I installed on 4.0

I can access WIFI, can I just waitting for 0.29 Update or installed 4.0 Menu in Preloader Menu? —Preceding unsigned comment added by Gaojiugao (talkcontribs) 14:49, 30 March 2009

Update

Will 0.28 update via Wifi to 0.29 now or in the future? (most of you know why I reference these 2 times..) --ninjafish1990 17:40, 01 April 2009 (EST)

I don't believe so, Crediar hasn't said much about that whilst in the #preloader IRC channel. Djdynamite123 15:27, 9th April 2009 (UTC)

How to install?

I tried installing preloader 0.29 on system menu 4.0u, but it just hangs at the warning screen. --Piratesmack 22:37, 3 April 2009 (UTC)

You need to press A, 2, and then 1 in sequence on the warning screen. At least, that's what I was told. --Bdr9 23:00, 3 April 2009 (UTC)
You only need to Press 1. Djdynamite123 15:27, 9th April 2009 (UTC)
Yo, got the same prob. I have SM4.1u, virtually unmodded, except HBC. Help please!!! palz 23:44, 28th August 2009 (UTC)

SDHC Conflict

Am I correct to assume that the current preloader interferes with the ability to use SDHC cards for SD Menu? --kmclaugh —Preceding unsigned comment added by Kmclaugh (talkcontribs) 16:22, 4 April 2009

yes it does. so they shouldn't work. Djdynamite123 15:27, 9th April 2009 (UTC)

A few things...

1. That "repairing" thing was a mean April fools joke! You scared the crap out of me! (It was a good one though.)
2. Is there anywhere similar to the usb gekko code database for the preloader/starfall hacks?
3. An ability to load a game directly would be cool, not to mention the unbricking possibilities. (I know the direct hombrew channel link solves this mostly, but in the unlikely event of a forced system update and removal of the homebrew channel it would be useful.) —Preceding unsigned comment added by Ienjoytaffy (talkcontribs) 21:50, 4 April 2009

So 0.29 functions normally right? I mean, as of April 2nd. Also, I have StarPatch and cIOS-Corp (with cios60BF) installed. Would that cause any problems? Especially considering preloader patches IOS60 and I have a custom IOS60 already. - Twil

Updating Preloader (0.27-0.29)

Since the from-console online update is broken/unavailable to 0.29, is the best way to just launch the .dol install out of HBC/TH SD card again or are there changes I should make in the configuration first?

Is it true that version 0.29 bricks your Wii? Keyboard mouse 15:36, 16 May 2010 (UTC)

no its not true. it was a april fool joke. and it only looked like it was bricked while it wasn't --DacoTaco 05:00, 17 May 2010 (UTC)

hacks page

I think it would be a good idea to link the preloader/hacks page somewhere on the main preloader page saying that it has updates for the hacks.ini because if you dont know its there it can be quite hard to find AzXeus 08:46, 19 April 2009 (UTC)

It is linked, see Preloader#Hacks LoganA 13:35, 19 April 2009 (UTC)

Right-Press Autoboot

What does the "Disc auto start when right pressed" hack do? Does it automatically run the wii game in the DVD drive, if right on the GC controller or wiimote is held on startup? - [User:Seandgibbonsy|Twil] —Preceding unsigned comment added by Seandgibbonsy (talkcontribs) 15:30, 25 April 2009 (UTC)

.29 still spins disc endlessly

I just noticed that my disc still spins endlessly while having wc24 on, just read in the update log that it shouldn't but mine still does :s TwoBladedKnight 07:02, 30 April 2009 (UTC)

Same here try turning on ignore standby settings. This will make your wii not have wc 24 on while off but it will not spin endlessly anymore.

Edit: you could use StartPatch to use all the hacks of preloader plus StartPatch wont let the disc spin endlessly and is safer and less brick likely.--Flyguy 20:47, 23 July 2009 (UTC)

.29 widescreen

Just updated to 4.0 today, and when I tried to install the hacks it said "hacks for your systemmenu version(v417) were found N" and reloaded preloader. Tried a few times checked a few places to make sure the hacks were correct, but it wouldn't work. I thought it was supposed to say "No hacks for your systemmenu version(v417) were found" but it was not showing up because I was on wide screen. So I changed my settings to 4:3 on the system menu to see if the text would show up, and like magic the hacks showed up. —Preceding unsigned comment added by Davidson (talkcontribs) 05:52, 6 May 2009

where is the "Stop System updates via network / WiFi" implemented?

PAL 4.0e with Preloader 0.29

 1. i cannot see a hack in 4.0e for making sure that the Systen does not update over the network
      i can see the Stop Disk Updates ok, just not that one...
      i wonder if it's part of the IOS60 patching that was done, but unsure if that was part of the install of preloader 0.29?
      any way of checking that that patch (if i'm not just making it up...) is working?

also, probably related to the answer above

  2. is it safe to have WiiConnect24 installed to get news/weather?
      i seem to remember the advice (from 'experts' ie respected teams) saying "make sure its off!!"

Many thanks in advance for any answers

Cheers —Preceding unsigned comment added by Xak (talkcontribs) 20:39, 9 May 2009 (UTC)

It Would Be Nice...

If you could run homebrew disks from the disk channel, I like to use homebrew disks because I don't have a SD reader. It would be of convienence (and look pretty nice) if I could run them from the disk channel with a hack instead of going all the way to the homebrew channel and launching it or having additional channels. User:Corysmart —Preceding unsigned comment added by Corysmart (talkcontribs) 01:11, 10 May 2009 (UTC)

You can't sync wii remotes while you in the preloader

That means if you have no Wii Remote synced with the Wii you can't sync them because it does not work in the preloader, so my wii is nearly bricked, because i can't do anything :( Does anyone know how i can sync a Wii Remote with the wii? KeineAhnung 14:16, 11 May 2009 (UTC)

i noticed that: if you have no synced wiimotes and your wii DOES boot to preloader you're not bricked: you can plug-in a gamecube controller and boot system menu where you can sync the motes. if you don't have a GC pad i believe you're kinda bricked though--balta 18:33, 12 May 2009 (UTC)

Preloader 0.30 video

Are you gonna release it or will it be a new project, or not released at all? Beegee7730 06:30, 14 May 2009 (UTC)

WHY!

Why is this the last version :( all I wanted added was a proper disk spin fix. ah well, R.I.P Preloader TwoBladedKnight 08:02, 24 May 2009 (UTC)


Full uninstallation for this ?

Hey why not creat a full uninstallation homebrew for the Preloader. Like the homebrew who install the stuff... Actualy it's not very "easy" for uninstall this, the user must have a version of his System Menu and use a wadinstaler for replace the preloader. And I know this don't delete totaly the change who make the Preloader..., files like hack.ini (if instaled) or the first System Menu (I have heard on different forum, the original system menu must be moved in the NAND by the Preloader for the boot sequence start on Preloader so when the Preloader is replaced by the System Menu, the "old" system menu is allways in the NAND). So I think a homebrew who can delete hack.ini and restore the original System Menu (who will move in the NAND at the instalation of the stuff) can be creat "easyly" and great idea ! (I think so... no ?).


I would like send this idea to the author but I don't know how contact it...

Sorry if my english is very bad but I am french and I am not very good for speak technical's Wii language.


Thanks--Bmike 18:29, 12 June 2009 (UTC)

Wii Home / Cant sync wiimotes

Sorry if this is the wrong place to post but im out of ideas, I had my Wii softmodded, and everything was working fine, until I purchased 2 new wii remotes. I managed to unsync all my wii remotes and now I can not get past the wii home screen because no wii remotes can click onto the launch wii button, and I have the game cube controller plugged in but that doesnt work either. I am at a total loss, any help would be great! thank you!

Skiptastik 03:39, 17 June 2009 (UTC)

PS sorry if I posted wrong, read through the 'talk page editing conventions' but it confused me

How to Sync the Wiimote --IanWatson 03:53, 17 June 2009 (UTC)

Thanks for the post, but not the dilemma, sorry if I didn't explain correctly I will try again. I understand how to sync the wii remotes, however when I soft modded my wii, instead of the preloader menu which has the 8 or 9 options such as system menu and the others, i also downloaded a preloader app 'Wii Home' which changes the simple looking preloader to a more user friendly and "prettier" look if you will. Now my dilemma was that I managed to unsync all of my wii remotes, and to re sync them I need to be on the health and safety screen which asks you to press "a" to proceed or the main menu for the wii, neither of which I can get to because I can not get past the preloader screen which i need a wii remote to click through, and the Wii Home preloader app screen is not compatible with the GC Controller so this is where I was stuck.

I was able to solve this, for anyone who may have this problem in the future, if you have luck as bad as I had, I solved the problem by taking out the SD Card, inserting it into my pc and deleting the 'boot.dol' not 'boot.elf' file along with the wii home files from the root menu and when i reinserted the SD card into my Wii it brought up the old preloader screen which I was then able to navigate through with the game cube controller to the health and safety screen and then resync my wii remotes. Thank you for your help tho Ian! Skiptastik 06:18, 17 June 2009 (UTC)

install done, loading preloader... waiting 5s ...

If it hangs on this message it's probably fine.

  • Wait 30 seconds to make sure it's finished.
  • Hold the Wii power button for 5 seconds to turn off you Wii
  • Hold down reset
  • Turn on Wii (keep holding reset)
  • Preloader should start
  • Go to settings
  • Change the IOS to 30 or 60 (IOS30 for Wii System 3.2x, and IOS60 for Wii System 4.0x)
  • Save
  • Restart, all should be fixed

I believe this happens when you had 3.2, installed preloader, upgraded to 4.0, installed preloader again. Preloader remembers that it used to use IOS30 and tries to use that, but it needs IOS60 to boot v4.0--Wilsoff 12:28, 21 June 2009 (UTC)

No hacks except skip disc updates

When i try the hacks the only one's that come up are skip disc updates! Any help with this would be appreciated! (i could take a video of what happens.) —Preceding unsigned comment added by Buriedsmiles (talkcontribs) 02:52, 24 June 2009 (UTC)

Change control for autoboot game

Could the "Autoboot Game press RIGHT on gc pad in 4th port" hack's control be changed to pressing Y on the first controller? I'm just a lot more used to Starfall's way, and only updating recently to 4.0, that option is no longer available. Thanks if you can. —Preceding unsigned comment added by Swift Finch (talkcontribs) 10:28, 5 July 2009 (UTC)

Nevermind, figure I'd just use StartPatch. Swift Finch 19:04, 22 July 2009 (UTC)

GameCube controller support?

I need a version of Preloader that supports the gamecube controller as I used Dop-IOS to dop IOS60. The System Menu then stopped working. I had Preloader 0.29 installed prior, but now the Wii remote will not sync so I cannot reinstall Preloader as I have told I need to do. If I use Gecko OS to launch a Wii game the Wii remotes syncs no problem, but other than that, I have no Wii Remote support. Ccfman2004 18:31, 24 July 2009 (UTC)

Try using the "shutdown to" option and set it to "preloader". Then launch a Wii game through Gecko OS, and sync the wiimotes. Then press the wiimote power button. You should then return to preloader with synced wiimotes. From there, launch the HBC, and then run the installer. When it finishes, you should be able to boot the System Menu. Intrepidd1 03:31, 30 August 2009 (UTC)

Does this work with 4.0?

I've upgraded my wii to 4.0 U using waninkoko's update pack, will preloader still work? --Terry 19:43, 12 August 2009 (UTC)

Yes. In fact, Preloader 0.29 was designed to support 4.0. --Dialexio 20:27, 12 August 2009 (UTC)
Yes, and it supports 4.1, you just have to reinstall it after updating and fine the hacks.ini file specifically for that version. I would use Waninkoko's 4.1 updater though because it's the newest system versionKiwisoup 05:25, 15 August 2009 (UTC)

The system files are corrupted

I installed Preloader 0.29 and received the message:


"The system files are corrupted. Please refer to the Wii Operations Manual for help troubleshooting."

[removed by author]

Anyone I used RestoreMii (backed-up just before attempting the install) and all is well. malexous 14:24, 6 September 2009 (UTC)

Did you make sure you were booting into the right IOS? It should be IOS60 on the newer versions. As in preloader, when I tried booting with IOS55, I got system corrupt. I restarted, reset to IOS60, and it worked fine. --[RePod] 03:32, 3 October 2009 (UTC)

Nothing Working

Im a noobie, I've managed to get the black screen, system corrupt etc - tried the preloader/hacks on mem card, reset button, etc but nothing loads other than the corrupt page..

Please help a noob in need!?

Deviouspaul 21:34, 15 September 2009 (UTC)

question

IF YOU HAVE A GAMECUBE ACTION REPLAY AND YOU USE AUTO BOOT WILL IT RUN? —Preceding unsigned comment added by Wiier (talkcontribs)

4.2

I am a victim of the 4.2 update. I looked and saw the Preloader can be installed with v.0.30 but when I try to start it up, nothing happened. Don't tell me I need the HBC to do this cuz its already deleted... --RPD490 20:50, 29 September 2009 (UTC)

Preloader 0.29 and HBC 1.0.5

Do not upgrade your HBC to 1.0.5 if you have not upgraded to System Menu 4.2. With the changed TitleID for HBC preloader will not let you boot to HBC even if you brick. If you want preloader to continue working stay at the older version. —Preceding unsigned comment added by Viper831 (talkcontribs) 03:37, 5 October 2009 (UTC)

or use a HBC booter found on the internet (much like bootmii_booter but which boots the HBC) --DacoTaco 19:19, 6 October 2009 (UTC)


Compiling 0.30

quick Q? in the nfo file that comes with the sources it states "Before you can compile anything you need to place a certs.bin into the data directory." where can this file be found and for compileing what would it be used for when it comes to preloader?--Trigger ftu 21:58, 7 October 2009 (UTC)

on your wii FS. in the sys folder i think (cert.sys) --DacoTaco 04:50, 8 October 2009 (UTC)

I can't compile it... any instruction ?
$ make
certs.bin
bin2s -a 32 /home/goldy/Apps/wii/preloaderv0.30-src/data/certs.bin | powerpc-gekko-as -o certs.bin.o
echo "extern const u8" `(echo certs.bin | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"_end[];" > `(echo certs.bin | tr . _)`.h
echo "extern const u8" `(echo certs.bin | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"[];" >> `(echo certs.bin | tr . _)`.h
echo "extern const u32" `(echo certs.bin | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`_size";" >> `(echo certs.bin | tr . _)`.h
su.tik
bin2s -a 32 /home/goldy/Apps/wii/preloaderv0.30-src/data/su.tik | powerpc-gekko-as -o su.tik.o
echo "extern const u8" `(echo su.tik | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"_end[];" > `(echo su.tik | tr . _)`.h
echo "extern const u8" `(echo su.tik | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"[];" >> `(echo su.tik | tr . _)`.h
echo "extern const u32" `(echo su.tik | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`_size";" >> `(echo su.tik | tr . _)`.h
su.tmd
bin2s -a 32 /home/goldy/Apps/wii/preloaderv0.30-src/data/su.tmd | powerpc-gekko-as -o su.tmd.o
echo "extern const u8" `(echo su.tmd | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"_end[];" > `(echo su.tmd | tr . _)`.h
echo "extern const u8" `(echo su.tmd | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"[];" >> `(echo su.tmd | tr . _)`.h
echo "extern const u32" `(echo su.tmd | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`_size";" >> `(echo su.tmd | tr . _)`.h
error.cpp
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:25:20: warning: gccore.h: No such file or directory
In file included from /home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:30:
/home/goldy/Apps/wii/preloaderv0.30-src/include/settings.h:71: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/include/settings.h:72: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/include/settings.h:73: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:33: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp: In function 'void ShowError()':
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:37: error: 'error' was not declared in this scope
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:39: error: 'SGetSetting' was not declared in this scope
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:40: error: 'vu32' was not declared in this scope
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:40: error: expected primary-expression before ')' token
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:40: error: expected `;' before numeric constant
make[1]: *** [error.o] Erreur 1
make: *** [build] Erreur 2 

--Goldy 18:33, 11 October 2009 (UTC)

you dont have devkitppc/libogc or you dont have it setup right. --DacoTaco 18:57, 11 October 2009 (UTC)

Added .29 Download

I added it since its the last official compiled download, so yeah, its important to have.

How Do I install this?

how do I run the preloader.dol thing from HBC? —Preceding unsigned comment added by Boondox (talkcontribs) 00:15, 26 July 2010 (CET)

4.2/3 MAJOR HELP

HOW DO I INSTALL THIS ON 4.2 AND 4.3 (IF ITS POSSIBLE) I NEED MAJOR HELP —Preceding unsigned comment added by Brute83301 (talkcontribs) 21:57, 12 August 2010 (CET)

Won't appear

Hi, When I put preloaderv0.29.dol in apps, it doesn't appear on HBC. What am I doing wrong? —Preceding unsigned comment added by Evilarceus (talkcontribs) 23:13, 6 December 2011 (CET)

Oh, and I have Wii v4.3 —Preceding unsigned comment added by Evilarceus (talkcontribs) 23:14, 6 December 2011 (CET)
ok here's your problems. you put the dol in a separate file in the apps directory kinda like ms0:\apps\preloader\ and rename it boot.dol 2nd issue is you are using wii 4.3 preloader 4.3 isn't compatible with 4.3 last i checked. finally when you post here make sure you signature your posts, just throwing up comments on here w/o doing so isn't the most wise of ideas. --Trigger ftu 10:49, 11 December 2011 (CET)